Skip to main content
GET
/
corporations
curl --request GET \
  --url 'https://transaction-tax.api.in.commenda.io/api/v1/corporations?limit=20' \
  --header 'Authorization: Bearer <token>'
{
  "message": "Successfully fetched corporations.",
  "data": {
    "corporations": [
      {
        "id": "corp_123abc",
        "legal_name": "Acme Corporation Inc.",
        "created_at": 1704067200,
        "jurisdiction": "US",
        "email_alias": "acme@filings.commenda.io"
      },
      {
        "id": "corp_456def",
        "legal_name": "Example LLC",
        "created_at": 1704153600,
        "jurisdiction": "US"
      }
    ],
    "total_corporations": 2
  }
}
Retrieves a paginated list of all corporations associated with your organization.
cursor
string
Cursor for pagination. Use the cursor returned in the previous response to fetch the next page.
limit
integer
default:"10"
Number of items to return per page. Must be between 1 and 100.
corporations
array
Array of corporation objects.
total_corporations
integer
required
Total number of corporations in the organization.
cursor
string
Cursor to use for fetching the next page. Only present if there are more results.
curl --request GET \
  --url 'https://transaction-tax.api.in.commenda.io/api/v1/corporations?limit=20' \
  --header 'Authorization: Bearer <token>'
{
  "message": "Successfully fetched corporations.",
  "data": {
    "corporations": [
      {
        "id": "corp_123abc",
        "legal_name": "Acme Corporation Inc.",
        "created_at": 1704067200,
        "jurisdiction": "US",
        "email_alias": "acme@filings.commenda.io"
      },
      {
        "id": "corp_456def",
        "legal_name": "Example LLC",
        "created_at": 1704153600,
        "jurisdiction": "US"
      }
    ],
    "total_corporations": 2
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

Cursor for pagination

limit
integer
default:10

Number of items to return per page

Required range: 1 <= x <= 100

Response

Get all corporations response.

data
object
message
string
Example:

"Successfully fetched corporations."